Index: /branches/nemo_v3_3_beta/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90	(revision 2369)
+++ /branches/nemo_v3_3_beta/NEMOGCM/NEMO/LIM_SRC_3/limdyn.F90	(revision 2370)
@@ -4,4 +4,7 @@
    !!   Sea-Ice dynamics :  
    !!======================================================================
+   !! history :  1.0  ! 2002-08 (C. Ethe, G. Madec)  original VP code 
+   !!            3.0  ! 2007-03 (MA Morales Maqueda, S. Bouillon, M. Vancoppenolle)  LIM3: EVP-Cgrid
+   !!----------------------------------------------------------------------
 #if defined key_lim3
    !!----------------------------------------------------------------------
@@ -11,5 +14,4 @@
    !!    lim_dyn_init : initialization and namelist read
    !!----------------------------------------------------------------------
-   !! * Modules used
    USE phycst
    USE in_out_manager  ! I/O manager
@@ -30,19 +32,13 @@
    PRIVATE
 
-   !! * Accessibility
-   PUBLIC lim_dyn  ! routine called by ice_step
+   PUBLIC   lim_dyn   ! routine called by ice_step
 
    !! * Substitutions
 #  include "vectopt_loop_substitute.h90"
-
-   !! * Module variables
-   REAL(wp)  ::  rone    = 1.e0   ! constant value
-
    !!----------------------------------------------------------------------
    !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
-   !!----------------------------------------------------------------------
-
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
+   !!----------------------------------------------------------------------
 CONTAINS
 
@@ -59,15 +55,10 @@
       !!              - computation of the stress at the ocean surface         
       !!              - treatment of the case if no ice dynamic
-      !! History :
-      !!   1.0  !  01-04   (LIM)  Original code
-      !!   2.0  !  02-08   (C. Ethe, G. Madec)  F90, mpp
-      !!   3.0  !  2007-03 (M.A. Morales Maqueda, S. Bouillon, M. Vancoppenolle) 
-      !!                   LIM3, EVP, C-grid
       !!------------------------------------------------------------------------------------
       INTEGER, INTENT(in) ::   kt     ! number of iteration
-      !! * Local variables
+      !!
       INTEGER  ::   ji, jj, jl, ja    ! dummy loop indices
       INTEGER  ::   i_j1, i_jpj       ! Starting/ending j-indices for rheology
-      REAL(wp) ::   zcoef             ! temporary scalar
+      REAL(wp) ::   zcoef             ! local scalar
       REAL(wp), DIMENSION(jpj)     ::   zind           ! i-averaged indicator of sea-ice
       REAL(wp), DIMENSION(jpj)     ::   zmsk           ! i-averaged of tmask
@@ -158,9 +149,9 @@
          zv_io(:,:) = v_ice(:,:) - ssv_m(:,:)
          ! frictional velocity at T-point
+         zcoef = 0.5 * cw
          DO jj = 2, jpjm1 
             DO ji = fs_2, fs_jpim1   ! vector opt.
-               ust2s(ji,jj) = 0.5 * cw                                                          &
-                  &         * (  zu_io(ji,jj) * zu_io(ji,jj) + zu_io(ji-1,jj) * zu_io(ji-1,jj)   &
-                  &            + zv_io(ji,jj) * zv_io(ji,jj) + zv_io(ji,jj-1) * zv_io(ji,jj-1)   ) * tms(ji,jj)
+               ust2s(ji,jj) = zcoef * (  zu_io(ji,jj) * zu_io(ji,jj) + zu_io(ji-1,jj) * zu_io(ji-1,jj)   &
+                  &                    + zv_io(ji,jj) * zv_io(ji,jj) + zv_io(ji,jj-1) * zv_io(ji,jj-1)   ) * tms(ji,jj)
             END DO
          END DO
@@ -171,11 +162,10 @@
          DO jj = 2, jpjm1
             DO ji = fs_2, fs_jpim1   ! vector opt.
-               ust2s(ji,jj) = zcoef * tms(ji,jj) * SQRT(  utau(ji,jj) * utau(ji,jj) + utau(ji-1,jj) * utau(ji-1,jj)   &
-                  &                                     + vtau(ji,jj) * vtau(ji,jj) + vtau(ji,jj-1) * vtau(ji,jj-1) )
+               ust2s(ji,jj) = zcoef * SQRT(  utau(ji,jj) * utau(ji,jj) + utau(ji-1,jj) * utau(ji-1,jj)   &
+                  &                        + vtau(ji,jj) * vtau(ji,jj) + vtau(ji,jj-1) * vtau(ji,jj-1)   ) * tms(ji,jj)
             END DO
          END DO
          !
       ENDIF
-
       CALL lbc_lnk( ust2s, 'T',  1. )   ! T-point
 
@@ -218,6 +208,7 @@
          END DO
       ENDIF
-
+      !
    END SUBROUTINE lim_dyn
+
 
    SUBROUTINE lim_dyn_init
@@ -232,9 +223,4 @@
       !!
       !! ** input   :   Namelist namicedyn
-      !!
-      !! history :
-      !!  8.5  ! 03-08 (C. Ethe) original code
-      !!  9.0  ! 07-03 (MA Morales Maqueda, S. Bouillon, M. Vancoppenolle)
-      !!               EVP-Cgrid-LIM3
       !!-------------------------------------------------------------------
       NAMELIST/namicedyn/ epsd, alpha,     &
@@ -244,11 +230,8 @@
       !!-------------------------------------------------------------------
 
-      ! Define the initial parameters
-      ! -------------------------
-
-      ! Read Namelist namicedyn
-      REWIND ( numnam_ice )
-      READ   ( numnam_ice  , namicedyn )
-      IF(lwp) THEN
+      REWIND( numnam_ice )                ! Read Namelist namicedyn
+      READ  ( numnam_ice  , namicedyn )
+      
+      IF(lwp) THEN                        ! control print
          WRITE(numout,*)
          WRITE(numout,*) 'lim_dyn_init : ice parameters for ice dynamics '
@@ -272,13 +255,18 @@
          WRITE(numout,*) '   timescale for elastic waves                      telast = ', telast
          WRITE(numout,*) '   coefficient for the solution of int. stresses  alphaevp = ', alphaevp
-
-      ENDIF
-
-      usecc2 = 1.0 / ( ecc * ecc )
-      rhoco  = rau0 * cw
+      ENDIF
+      !
+      IF( angvg /= 0._wp ) THEN
+         CALL ctl_warn( 'lim_dyn_init: turning angle for oceanic stress not properly coded for EVP ',   &
+            &           '(see limsbc module). We force  angvg = 0._wp'  )
+         angvg = 0._wp
+      ENDIF
+      
+      usecc2 = 1._wp / ( ecc * ecc )
+      rhoco  = rau0  * cw
       angvg  = angvg * rad
       sangvg = SIN( angvg )
       cangvg = COS( angvg )
-      pstarh = pstar / 2.0
+      pstarh = pstar * 0.5_wp
 
       !  Diffusion coefficients.
Index: /branches/nemo_v3_3_beta/NEMOGCM/NEMO/LIM_SRC_3/limrhg.F90
===================================================================
--- /branches/nemo_v3_3_beta/NEMOGCM/NEMO/LIM_SRC_3/limrhg.F90	(revision 2369)
+++ /branches/nemo_v3_3_beta/NEMOGCM/NEMO/LIM_SRC_3/limrhg.F90	(revision 2370)
@@ -11,25 +11,24 @@
 #if defined key_lim3 || (  defined key_lim2 && ! defined key_lim2_vp )
    !!----------------------------------------------------------------------
-   !!   'key_lim3'                                      LIM3 sea-ice model
+   !!   'key_lim3'               OR                     LIM-3 sea-ice model
+   !!   'key_lim2' AND NOT 'key_lim2_vp'             VP LIM-2 sea-ice model
    !!----------------------------------------------------------------------
    !!   lim_rhg   : computes ice velocities
    !!----------------------------------------------------------------------
-   !! * Modules used
-   USE phycst
-   USE par_oce
-   USE dom_oce
-   USE sbc_oce         ! Surface boundary condition: ocean fields
-   USE sbc_ice         ! Surface boundary condition: ice fields
-   USE lbclnk
-   USE lib_mpp
-   USE in_out_manager  ! I/O manager
-   USE prtctl          ! Print control
+   USE phycst           ! Physical constant
+   USE par_oce          ! Ocean parameters
+   USE dom_oce          ! Ocean domain
+   USE sbc_oce          ! Surface boundary condition: ocean fields
+   USE sbc_ice          ! Surface boundary condition: ice fields
+   USE lbclnk           ! Lateral Boundary Condition / MPP link
+   USE lib_mpp          ! MPP library
+   USE in_out_manager   ! I/O manager
+   USE prtctl           ! Print control
 #if defined key_lim3
-   USE ice
-   USE dom_ice
-   USE iceini
-   USE limitd_me
-#endif
-#if defined key_lim2 && ! defined key_lim2_vp
+   USE ice              ! LIM-3: ice variables
+   USE dom_ice          ! LIM-3: ice domain
+   USE iceini           ! LIM-3: ice initialisation
+   USE limitd_me        ! LIM-3: 
+#else
    USE ice_2            ! LIM2: ice variables
    USE dom_ice_2        ! LIM2: ice domain
@@ -37,28 +36,22 @@
 #endif
 
-
    IMPLICIT NONE
    PRIVATE
 
-   !! * Routine accessibility
-   PUBLIC lim_rhg  ! routine called by lim_dyn
-
+   PUBLIC   lim_rhg   ! routine called by lim_dyn (or lim_dyn_2)
+
+   REAL(wp) ::   rzero   = 0._wp   ! constant values
+   REAL(wp) ::   rone    = 1._wp   ! constant values
+      
    !! * Substitutions
 #  include "vectopt_loop_substitute.h90"
-
-   !! * Module variables
-   REAL(wp)  ::           &  ! constant values
-      rzero   = 0.e0   ,  &
-      rone    = 1.e0
    !!----------------------------------------------------------------------
    !! NEMO/LIM3 3.3 , UCL - NEMO Consortium (2010)
    !! $Id$
-   !! Software governed by the CeCILL licence (NEMOGCM/NEMO_CeCILL.txt)
+   !! Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
    !!----------------------------------------------------------------------
-
 CONTAINS
 
    SUBROUTINE lim_rhg( k_j1, k_jpj )
-
       !!-------------------------------------------------------------------
       !!                 ***  SUBROUTINE lim_rhg  ***
@@ -107,34 +100,16 @@
       !!                 e.g. in the Canadian Archipelago
       !!
-      !! ** References : Hunke and Dukowicz, JPO97
-      !!                 Bouillon et al., 08, in prep (update this when
-      !!                 published)
-      !!                 Vancoppenolle et al., OM08
+      !! References : Hunke and Dukowicz, JPO97
+      !!              Bouillon et al., Ocean Modelling 2009
+      !!              Vancoppenolle et al., Ocean Modelling 2008
+      !!-------------------------------------------------------------------
+      INTEGER, INTENT(in) ::   k_j1    ! southern j-index for ice computation
+      INTEGER, INTENT(in) ::   k_jpj   ! northern j-index for ice computation
       !!
-      !!-------------------------------------------------------------------
-      ! * Arguments
-      !
-      INTEGER, INTENT(in) :: &
-         k_j1 ,                      & !: southern j-index for ice computation
-         k_jpj                         !: northern j-index for ice computation
-
-      ! * Local variables
-      INTEGER ::   ji, jj              !: dummy loop indices
-
-      INTEGER  :: &
-         jter                          !: temporary integers
-
+      INTEGER ::   ji, jj   ! dummy loop indices
+      INTEGER ::   jter     ! local integers
       CHARACTER (len=50) ::   charout
-
-      REAL(wp) :: &
-         zt11, zt12, zt21, zt22,     & !: temporary scalars
-         ztagnx, ztagny,             & !: wind stress on U/V points                       
-         delta                         !
-
-      REAL(wp) :: &
-         za,                         & !:
-         zstms,                      & !: temporary scalar for ice strength
-         zsang,                      & !: temporary scalar for coriolis term
-         zmask                         !: mask for the computation of ice mass
+      REAL(wp) ::   zt11, zt12, zt21, zt22, ztagnx, ztagny, delta                         !
+      REAL(wp) ::   za, zstms, zsang, zmask   ! local scalars
 
       REAL(wp),DIMENSION(jpi,jpj) :: &
@@ -154,39 +129,34 @@
 
       REAL(wp) :: &
-         dtevp,                      & !: time step for subcycling
-         dtotel,                     & !:
-         ecc2,                       & !: square of yield ellipse eccenticity
-         z0,                         & !: temporary scalar
-         zr,                         & !: temporary scalar
-         zcca, zccb,                 & !: temporary scalars
-         zu_ice2,                    & !: 
-         zv_ice1,                    & !:
-         zddc, zdtc,                 & !: temporary array for delta on corners
-         zdst,                       & !: temporary array for delta on centre
-         zdsshx, zdsshy,             & !: term for the gradient of ocean surface
-         sigma1, sigma2                !: internal ice stress
+         dtevp,                      & ! time step for subcycling
+         dtotel,                     & !
+         ecc2,                       & ! square of yield ellipse eccenticity
+         z0,                         & ! temporary scalar
+         zr,                         & ! temporary scalar
+         zcca, zccb,                 & ! temporary scalars
+         zu_ice2,                    & ! 
+         zv_ice1,                    & !
+         zddc, zdtc,                 & ! temporary array for delta on corners
+         zdst,                       & ! temporary array for delta on centre
+         zdsshx, zdsshy,             & ! term for the gradient of ocean surface
+         sigma1, sigma2                ! internal ice stress
+
+      REAL(wp),DIMENSION(jpi,jpj) ::   zf1, zf2   ! arrays for internal stresses
 
       REAL(wp),DIMENSION(jpi,jpj) :: &
-         zf1, zf2                      !: arrays for internal stresses
-
-      REAL(wp),DIMENSION(jpi,jpj) :: &
-         zdd, zdt,                   & !: Divergence and tension at centre of grid cells
-         zds,                        & !: Shear on northeast corner of grid cells
-         deltat,                     & !: Delta at centre of grid cells
-         deltac,                     & !: Delta on corners
-         zs1, zs2,                   & !: Diagonal stress tensor components zs1 and zs2 
-         zs12                          !: Non-diagonal stress tensor component zs12
+         zdd, zdt,                   & ! Divergence and tension at centre of grid cells
+         zds,                        & ! Shear on northeast corner of grid cells
+         deltat,                     & ! Delta at centre of grid cells
+         deltac,                     & ! Delta on corners
+         zs1, zs2,                   & ! Diagonal stress tensor components zs1 and zs2 
+         zs12                          ! Non-diagonal stress tensor component zs12
 
       REAL(wp) :: &
-         zresm            ,          & !: Maximal error on ice velocity
-         zindb            ,          & !: ice (1) or not (0)      
-         zdummy                        !: dummy argument
-
-      REAL(wp),DIMENSION(jpi,jpj) :: &
-         zu_ice           ,          & !: Ice velocity on previous time step
-         zv_ice           ,          &
-         zresr                         !: Local error on velocity
+         zresm            ,          & ! Maximal error on ice velocity
+         zindb            ,          & ! ice (1) or not (0)      
+         zdummy                        ! dummy argument
+
+      REAL(wp),DIMENSION(jpi,jpj) ::   zu_ice, zv_ice, zresr   ! Local error on velocity
       !!-------------------------------------------------------------------
-
 #if  defined key_lim2 && ! defined key_lim2_vp
 # if defined key_agrif
@@ -205,26 +175,23 @@
       !
       ! Put every vector to 0
-      zpresh(:,:) = 0.0 ; zc1(:,:) = 0.0
-      zpreshc(:,:) = 0.0
-      u_ice2(:,:)  = 0.0 ; v_ice1(:,:)  = 0.0
-      zdd(:,:)     = 0.0 ; zdt(:,:)     = 0.0 ; zds(:,:)     = 0.0
+      zpresh (:,:) = 0._wp   ;   zc1   (:,:) = 0._wp
+      zpreshc(:,:) = 0._wp
+      u_ice2 (:,:) = 0._wp   ;   v_ice1(:,:) = 0._wp
+      zdd    (:,:) = 0._wp   ;   zdt   (:,:) = 0._wp   ;   zds(:,:) = 0._wp
 
 #if defined key_lim3
-      ! Ice strength on T-points
-      CALL lim_itd_me_icestrength(ridge_scheme_swi)
+      CALL lim_itd_me_icestrength( ridge_scheme_swi )      ! LIM-3: Ice strength on T-points
 #endif
 
-      ! Ice mass and temp variables
-!CDIR NOVERRCHK
-      DO jj = k_j1 , k_jpj
+!CDIR NOVERRCHK
+      DO jj = k_j1 , k_jpj       ! Ice mass and temp variables
 !CDIR NOVERRCHK
          DO ji = 1 , jpi
             zc1(ji,jj)    = tms(ji,jj) * ( rhosn * vt_s(ji,jj) + rhoic * vt_i(ji,jj) )
 #if defined key_lim3
-            zpresh(ji,jj) = tms(ji,jj) *  strength(ji,jj) / 2.
+            zpresh(ji,jj) = tms(ji,jj) *  strength(ji,jj) * 0.5_wp
 #endif
             ! tmi = 1 where there is ice or on land
-            tmi(ji,jj)    = 1.0 - ( 1.0 - MAX( 0.0 , SIGN ( 1.0 , vt_i(ji,jj) - &
-               epsd ) ) ) * tms(ji,jj)
+            tmi(ji,jj)    = 1._wp - ( 1._wp - MAX( 0._wp , SIGN ( 1._wp , vt_i(ji,jj) - epsd ) ) ) * tms(ji,jj)
          END DO
       END DO
@@ -271,24 +238,20 @@
          DO ji = fs_2, fs_jpim1
 
-            zt11 = tms(ji,jj)*e1t(ji,jj)
-            zt12 = tms(ji+1,jj)*e1t(ji+1,jj)
-            zt21 = tms(ji,jj)*e2t(ji,jj)
-            zt22 = tms(ji,jj+1)*e2t(ji,jj+1)
+            zt11 = tms(ji  ,jj) * e1t(ji  ,jj)
+            zt12 = tms(ji+1,jj) * e1t(ji+1,jj)
+            zt21 = tms(ji,jj  ) * e2t(ji,jj  )
+            zt22 = tms(ji,jj+1) * e2t(ji,jj+1)
 
             ! Leads area.
-            zfrld1(ji,jj) = ( zt12 * ( 1.0 - at_i(ji,jj) ) + &
-               &                        zt11 * ( 1.0 - at_i(ji+1,jj) ) ) / ( zt11 + zt12 + epsd )
-            zfrld2(ji,jj) = ( zt22 * ( 1.0 - at_i(ji,jj) ) + &
-               &                        zt21 * ( 1.0 - at_i(ji,jj+1) ) ) / ( zt21 + zt22 + epsd )
+            zfrld1(ji,jj) = ( zt12 * ( 1.0 - at_i(ji,jj) ) + zt11 * ( 1.0 - at_i(ji+1,jj) ) ) / ( zt11 + zt12 + epsd )
+            zfrld2(ji,jj) = ( zt22 * ( 1.0 - at_i(ji,jj) ) + zt21 * ( 1.0 - at_i(ji,jj+1) ) ) / ( zt21 + zt22 + epsd )
 
             ! Mass, coriolis coeff. and currents
             zmass1(ji,jj) = ( zt12*zc1(ji,jj) + zt11*zc1(ji+1,jj) ) / (zt11+zt12+epsd)
             zmass2(ji,jj) = ( zt22*zc1(ji,jj) + zt21*zc1(ji,jj+1) ) / (zt21+zt22+epsd)
-            zcorl1(ji,jj) = zmass1(ji,jj) * ( e1t(ji+1,jj)*fcor(ji,jj) + &
-               e1t(ji,jj)*fcor(ji+1,jj) ) &
-               / (e1t(ji,jj) + e1t(ji+1,jj) + epsd )
-            zcorl2(ji,jj) = zmass2(ji,jj) * ( e2t(ji,jj+1)*fcor(ji,jj) + &
-               e2t(ji,jj)*fcor(ji,jj+1) ) &
-               / ( e2t(ji,jj+1) + e2t(ji,jj) + epsd )
+            zcorl1(ji,jj) = zmass1(ji,jj) * ( e1t(ji+1,jj)*fcor(ji,jj) + e1t(ji,jj)*fcor(ji+1,jj) )   &
+               &                          / ( e1t(ji,jj) + e1t(ji+1,jj) + epsd )
+            zcorl2(ji,jj) = zmass2(ji,jj) * ( e2t(ji,jj+1)*fcor(ji,jj) + e2t(ji,jj)*fcor(ji,jj+1) )   &
+               &                          / ( e2t(ji,jj+1) + e2t(ji,jj) + epsd )
             !
             u_oce1(ji,jj)  = u_oce(ji,jj)
@@ -314,6 +277,6 @@
             ! include it later
 
-            zdsshx =  (ssh_m(ji+1,jj) - ssh_m(ji,jj))/e1u(ji,jj)
-            zdsshy =  (ssh_m(ji,jj+1) - ssh_m(ji,jj))/e2v(ji,jj)
+            zdsshx =  ( ssh_m(ji+1,jj) - ssh_m(ji,jj) ) / e1u(ji,jj)
+            zdsshy =  ( ssh_m(ji,jj+1) - ssh_m(ji,jj) ) / e2v(ji,jj)
 
             za1ct(ji,jj) = ztagnx - zmass1(ji,jj) * grav * zdsshx
@@ -330,19 +293,19 @@
       ! Time step for subcycling
       dtevp  = rdt_ice / nevp
-      dtotel = dtevp / ( 2.0 * telast )
+      dtotel = dtevp / ( 2._wp * telast )
 
       !-ecc2: square of yield ellipse eccenticrity (reminder: must become a namelist parameter)
-      ecc2 = ecc*ecc
+      ecc2 = ecc * ecc
 
       !-Initialise stress tensor 
-      zs1(:,:)  = stress1_i(:,:) 
-      zs2(:,:)  = stress2_i(:,:)
+      zs1 (:,:) = stress1_i (:,:) 
+      zs2 (:,:) = stress2_i (:,:)
       zs12(:,:) = stress12_i(:,:)
 
-      !----------------------!
+      !                                               !----------------------!
       DO jter = 1 , nevp                              !    loop over jter    !
-         !----------------------!        
+         !                                            !----------------------!        
          DO jj = k_j1, k_jpj-1
-            zu_ice(:,jj) = u_ice(:,jj) ! velocity at previous time step
+            zu_ice(:,jj) = u_ice(:,jj)    ! velocity at previous time step
             zv_ice(:,jj) = v_ice(:,jj)
          END DO
@@ -409,6 +372,5 @@
             END DO
          END DO
-         CALL lbc_lnk( v_ice1(:,:), 'U', -1. )
-         CALL lbc_lnk( u_ice2(:,:), 'V', -1. )
+         CALL lbc_lnk( v_ice1, 'U', -1. )   ;   CALL lbc_lnk( u_ice2, 'V', -1. )      ! lateral boundary cond.
 
 !CDIR NOVERRCHK
@@ -418,15 +380,13 @@
 
                !- Calculate Delta at centre of grid cells
-               zdst       = (  e2u( ji  , jj   ) * v_ice1(ji,jj)            &
-                  &          - e2u( ji-1, jj   ) * v_ice1(ji-1,jj)          &
-                  &          + e1v( ji  , jj   ) * u_ice2(ji,jj)            &
-                  &          - e1v( ji  , jj-1 ) * u_ice2(ji,jj-1)          &
-                  &          )                                              &
+               zdst       = (  e2u(ji  , jj) * v_ice1(ji  ,jj)          &
+                  &          - e2u(ji-1, jj) * v_ice1(ji-1,jj)          &
+                  &          + e1v(ji, jj  ) * u_ice2(ji,jj  )          &
+                  &          - e1v(ji, jj-1) * u_ice2(ji,jj-1)          &
+                  &          )                                          &
                   &         / area(ji,jj)
 
-               delta = SQRT( zdd(ji,jj)*zdd(ji,jj) +                        & 
-                  &                       ( zdt(ji,jj)*zdt(ji,jj) + zdst*zdst ) * usecc2 )  
-               deltat(ji,jj) = MAX( SQRT(zdd(ji,jj)**2 +                    &
-                  (zdt(ji,jj)**2 + zdst**2)*usecc2), creepl )
+               delta = SQRT( zdd(ji,jj)*zdd(ji,jj) + ( zdt(ji,jj)*zdt(ji,jj) + zdst*zdst ) * usecc2 )  
+               deltat(ji,jj) = MAX( SQRT(zdd(ji,jj)**2 + (zdt(ji,jj)**2 + zdst**2)*usecc2), creepl )
 
                !-Calculate stress tensor components zs1 and zs2 
